package com.bonus.canteen.core.bus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(
   value = "BusLineDeviceVO",
   description = "班车线路设备"
)
public class BusLineDeviceVO {
   @ApiModelProperty("线路id")
   private Long lineId;
   @ApiModelProperty("线路编号")
   private String lineNum;
   @ApiModelProperty("线路名称")
   private String lineName;
   @ApiModelProperty("线路绑定设备集合")
   private List<BusDeviceVO> busDeviceVOList;

   public Long getLineId() {
      return this.lineId;
   }

   public String getLineNum() {
      return this.lineNum;
   }

   public String getLineName() {
      return this.lineName;
   }

   public List<BusDeviceVO> getBusDeviceVOList() {
      return this.busDeviceVOList;
   }

   public BusLineDeviceVO setLineId(final Long lineId) {
      this.lineId = lineId;
      return this;
   }

   public BusLineDeviceVO setLineNum(final String lineNum) {
      this.lineNum = lineNum;
      return this;
   }

   public BusLineDeviceVO setLineName(final String lineName) {
      this.lineName = lineName;
      return this;
   }

   public BusLineDeviceVO setBusDeviceVOList(final List<BusDeviceVO> busDeviceVOList) {
      this.busDeviceVOList = busDeviceVOList;
      return this;
   }
}
